"This action is forbidden. Master repositories must be upgraded" Signaled When Attempting To Import Components Into ODI Repositories Rather Than Upgrading (Doc ID 1674134.1)

Last updated on JANUARY 19, 2017

Applies to:

Oracle Data Integrator - Version 12.1.2.0.0 and later
Information in this document applies to any platform.

Symptoms

With the objective of migrating an Oracle Data Integrator (ODI) either :

using the following procedure:

  1. From an ODI 10g/11g Logical Topology export file - import the Logical Topology using Synonym mode INSERT_UPDATE
  2. From an ODI 10g/11g Topology export file -  import the Physical Topology in Synonym mode INSERT_UPDATE

the following error message is signaled:

You are trying to import objects from a master repository of an older version into 12.1.2 - 17/09/2013 version.

This action is forbidden.

Master repositories must be upgraded using the upgrade assistant, not using the export/import facility.

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms